## XAppStatusIconMonitor

XAppStatusIconMonitor — Looks for XAppStatusIcons on DBUS and communicates info to an applet to represent the icons.

## Functions

XAppStatusIconMonitor * | xapp_status_icon_monitor_new ()
GList * | xapp_status_icon_monitor_list_icons ()

## Signals

void | icon-added | Action
void | icon-removed | Action

## Types and Values

#define | XAPP_TYPE_STATUS_ICON_MONITOR
| XAppStatusIconMonitor

## Object Hierarchy

        GObject
        ╰── XAppStatusIconMonitor

## Description

The XAppStatusIconMonitor is intended to be utilized by some status applet to display info about an app.

The simplest way to use is to make a new instance of this monitor, and connect to the “icon-added” and “icon-removed” signals. The received object for both of these signals is an XAppStatusIconInterfaceProxy. It represents an application's XAppStatusIcon, and has properties available for describing the icon name, tooltip, label and visibility.

The proxy also provides methods to handle clicks, which can be called by the applet, to request that the app display its menu.

## Functions

### xapp_status_icon_monitor_new ()

    XAppStatusIconMonitor *
    xapp_status_icon_monitor_new (void);

Creates a new monitor.

#### Returns

a new XAppStatusIconMonitor. Use g_object_unref when finished.

[transfer full]

Since: 1.6

### xapp_status_icon_monitor_list_icons ()

    GList *
    xapp_status_icon_monitor_list_icons (XAppStatusIconMonitor *monitor);

List known icon proxies.

#### Parameters

monitor | a XAppStatusIconMonitor |

#### Returns

a GList of icons.

[element-type XAppStatusIconMonitor][transfer container]

Since: 1.6

## Types and Values

### XAPP_TYPE_STATUS_ICON_MONITOR

    #define XAPP_TYPE_STATUS_ICON_MONITOR   (xapp_status_icon_monitor_get_type ())

### XAppStatusIconMonitor

    typedef struct _XAppStatusIconMonitor XAppStatusIconMonitor;

## Signal Details

### The `“icon-added”` signal

    void
    user_function (XAppStatusIconMonitor        *monitor,
                   XAppStatusIconInterfaceProxy *proxy,
                   gpointer                      user_data)

This signal is emitted by the monitor when it has discovered a new XAppStatusIcon on the bus.

#### Parameters

monitor | the XAppStatusIconMonitor |
proxy | the interface proxy for the XAppStatusIcon that has been added. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“icon-removed”` signal

    void
    user_function (XAppStatusIconMonitor        *monitor,
                   XAppStatusIconInterfaceProxy *proxy,
                   gpointer                      user_data)

This signal is emitted by the monitor when an XAppStatusIcon has disappeared from the bus.

#### Parameters

monitor | the XAppStatusIconMonitor |
proxy | the XAppStatusIcon proxy that has been removed. |
user_data | user data set when the signal handler was connected. |

Flags: Action